Update Package: nVidia 180.11

Bug #297543 reported by plun on 2008-11-13
140
This bug affects 9 people
Affects Status Importance Assigned to Milestone
Intrepid Ibex Backports
Undecided
Unassigned
nvidia-graphics-drivers-173 (Ubuntu)
Undecided
Alberto Milone
Intrepid
Undecided
Unassigned
Jaunty
Undecided
Alberto Milone
nvidia-graphics-drivers-177 (Ubuntu)
Undecided
Alberto Milone
Intrepid
Undecided
Alberto Milone
Jaunty
Undecided
Alberto Milone
nvidia-graphics-drivers-180 (Ubuntu)
Medium
Alberto Milone
Intrepid
Undecided
Alberto Milone
Jaunty
Medium
Alberto Milone
nvidia-graphics-drivers-96 (Ubuntu)
Undecided
Alberto Milone
Intrepid
Undecided
Unassigned
Jaunty
Undecided
Alberto Milone

Bug Description

Release Highlights, 180.11:

http://www.nvnews.net/vbulletin/showthread.php?t=124059

    * Added support for the following new GPUs:
          o GeForce 9400M
    * Fixed font corruption on GeForce 6 and 7 series GPUs when the GlyphCache setting is enabled.
    * Fixed a memory leak problem when the GlyphCache setting is enabled.
    * Added support for GVO full-range color.
    * Fixed a problem parsing the monitor sync range X config file options.
    * Improved VDPAU error detection and reporting.
    * Improved VDPAU support for some video bitstreams

Release Highlights, 180.08

http://www.nvnews.net/vbulletin/show....php?p=1847941

* Added support for the following new GPUs:
o Quadro NVS 450
o Quadro FX 370 LP
o Quadro FX 5800
o Quadro FX 4800
o Quadro FX 470
o Quadro CX
* Added preliminary support for OpenGL 3.0.
* Improved VDPAU error recovery on some GPUs.

Release Highlights, 180.06

http://www.nvnews.net/vbulletin/showthread.php?t=123072

    * Added support for CUDA 2.1.
    * Added initial support for PureVideo-like features on Linux via the new VDPAU API (see the vdpau.h header file installed withthe driver).
    * Added new workstation performance optimizations.
    * Enabled the X Render "GlyphCache" by default.
    * Disabled shared memory X pixmaps by default; see the“AllowSHMPixmaps" option.
    * Fixed a regression that could result in window decorationcorruption when running Compiz using Geforce 6 and 7 series GPUs.
    * Improved X pixmap placement on GeForce 8 series and later GPUs.
    * Improved compatibility with recent Linux kernels.
    * Improved stability on some GeForce 8 series and newer GPUs.

Release Highlights, 177.82:

    * Added support for the following new GPUs:
          o Quadro NVS 450
          o Quadro FX 370 LP
          o Quadro FX 5800
          o Quadro FX 4800
          o Quadro FX 470
          o Quadro CX
    * Fixed a problem on recent mobile GPUs that caused a power management resume from S3 to take 30+ seconds.
    * Fixed a problem with hotkey switching on some recent mobile GPUs.
    * Fixed an image corruption issue seen in FireFox 3.

http://www.nvnews.net/vbulletin/showthread.php?p=1842773

Tested without any notable issues. Test with Jaunty ?

Changed in nvidia-graphics-drivers-177:
assignee: nobody → albertomilone
status: New → In Progress
plun (plun) wrote :

Thanks !

Patch for "freaks" running 2.6.28-RC4 ;)

http://www.nvnews.net/vbulletin/showpost.php?p=1843626&postcount=44

With Kernel 2.6.28 the GPU core temperature is about 10 degrees lower then
with 2.6.27.

Running a 7600GS card slightly overclocked with coolbits.

Will this update be available for Intrepid users (even if it's in proposed)?

plun (plun) wrote :

180.06 is out

http://www.nvnews.net/vbulletin/showthread.php?t=123072

Release Highlights

    * Added support for CUDA 2.1.
    * Added initial support for PureVideo-like features on Linux via the new VDPAU API (see the vdpau.h header file installed withthe driver).
    * Added new workstation performance optimizations.
    * Enabled the X Render "GlyphCache" by default.
    * Disabled shared memory X pixmaps by default; see the“AllowSHMPixmaps" option.
    * Fixed a regression that could result in window decorationcorruption when running Compiz using Geforce 6 and 7 series GPUs.
    * Improved X pixmap placement on GeForce 8 series and later GPUs.
    * Improved compatibility with recent Linux kernels.
    * Improved stability on some GeForce 8 series and newer GPUs.

"bug" changed

description: updated
description: updated

180.06 will be a NEW driver. 177.82 is the stable release in the 177 series.

plun (plun) wrote :

I just installed it and it just great....Jaunty and 2.6.28-RC4 running.

AWN and Compiz artefacts are fixed as I sees it. Hooray... ;)

KDE4/Plasma ?

I cannot see any reason for 177.82 and this driver can easily be tested with Jaunty.

Alberto Milone (albertomilone) wrote :

I will provide 177.82 in Intrepid (SRU) and maybe 180.06 in Jaunty.

plun (plun) wrote :

Ok.... the Murrine challenge is also fixed with RGBA trashing.

My logic says that the 180 driver must be a better choice also for a SRU.

Aaron Plattner (aplattner) wrote :

Thanks, Alberto.

Diffing the .manifest files between 177.82 and 180.06, please be sure to include the following new files in the updated package:
/usr/lib/libvdpau.so.180.06
/usr/lib/libvdpau_trace.so.180.06
/usr/lib/libvdpau_nvidia.so.180.06
(plus various VDPAU library symlinks)
/usr/include/vdpau/vdpau.h
/usr/include/vdpau/vdpau_x11.h

For the -dev package, you might want to consider building the VDPAU Doxygen documentation and installing it as HTML.

Alberto Milone (albertomilone) wrote :

Thanks for the information, Aaron.

I'll make sure that the new files and symlinks are included.

Same for me :)
All the bugs using kde4 are gone.

I'm going to test a .deb package of 180.06 as soon as it is available for Intrepid.

To put it in a clear way: user experience of kwin is very poor with 177.82 because it buggy.
I hope that there is a plan to propose this new driver (180 and the upcoming stable branch derived from 180) in intrepid.

177.82 is better but not sufficient to restore a good user experience of kwin (at least on my box (geforce 8 series))

plun (plun) wrote :

ver 180.08 is also out

Release Highlights:

* Added support for the following new GPUs:
o Quadro NVS 450
o Quadro FX 370 LP
o Quadro FX 5800
o Quadro FX 4800
o Quadro FX 470
o Quadro CX
* Added preliminary support for OpenGL 3.0.
* Improved VDPAU error recovery on some GPUs.

http://www.nvnews.net/vbulletin/show....php?p=1847941

Seems to be minor changes for VDPAU functionality, comments in a thread:

""The VDPAU changes in 180.08 were aimed at more graceful handling of problems that occur interacting with the GPU when decoding fails for some reason.""

ma2412ma (ma2412ma) wrote :

Please release version 180 also for Intrepid - not only does it fix the KDE problem but supposedly also the issue with corrupted window decorations as described in https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers-177/+bug/186382.

mercutio22 (macabro22) wrote :

YES please do. =]

enubuntu (enubuntu) wrote :

yes yes yes :)

Noel J. Bergman (noeljb) wrote :

Another vote for 180.x as an Intrepid backport or at least a PPA, and available in Jaunty.

lemonade (lemonade) wrote :

Although 177.x is working here fine, it would really be nice if there would be possibility to upgrade to 180.x, because it has some major features. I guess 180.x shouldn't be default, but it could be proposed or PPA in Intrepid.

Noel J. Bergman wrote:
> Another vote for 180.x as an Intrepid backport or at least a PPA, and
> available in Jaunty.
>

Please post at least your configuration (you nvidia card)

Xavier

I'd like the 180.06 in Intrepid too. I'm on an 8600M GT card

Noel J. Bergman (noeljb) wrote :

Xavier wrote:
> Noel J. Bergman wrote:
> > Another vote for 180.x as an Intrepid backport or at least a PPA,
> > and available in Jaunty.
> Please post at least your configuration (you nvidia card)

Thinkpad T61p 6457-7WU, ergo nvidia FX-570M. Or if you prefer the verbose form, see attached.

Alberto Milone (albertomilone) wrote :

180.x will be available as a backport ASAP

Julien Aubin (gojulgarbmail) wrote :

But will it be considered as a supported update or only as a backport ? Actually this could be put in intrepid-updates once it has been tested enough in intrepid-backports, just as KE 4.1.3 is.

Thanks anyway for your support.

I don't think they'll have a need to put this as an update while it's
labelled as a 'beta' by nVidia (who use the term 'beta' properly).

> I don't think they'll have a need to put this as an update while it's
> labelled as a 'beta' by nVidia (who use the term 'beta' properly).
>

Well ok maybe...but without this driver kde4 is not usable.
plasmoid just freeze if you have a geforce 8600.
The end user does not care if it is a beta or not.
The end user says "ho look kde4.1 is crap. I cannot use it on my box. It
is so unstable :(".

I'm not such an end user but I can understand this.
I have never see a bug in this new beta driver.
It does the job. The previous one does not.

Xavier

Vadim Peretokin (vperetokin) wrote :

I'm not in a position to talk about KDE... only thing I know is that
end-users aren't supposed to be using it until version 4.2.

>> I don't think they'll have a need to put this as an update while it's
>> labelled as a 'beta' by nVidia (who use the term 'beta' properly).
>>

> I'm not such an end user but I can understand this.
> I have never see a bug in this new beta driver.
> It does the job. The previous one does not.

There are already 2 Nvidia drivers--177 and 173 (I think). 177 should remain labeled "recommended", and 180 could be labeled "Beta". The description could say something like use this only if you are having problems with 177, and that no official support will be provided for it.

Noel J. Bergman (noeljb) wrote :

> There are already 2 Nvidia drivers--177 and 173 (I think).
> 177 should remain labeled "recommended",
> and 180 could be labeled "Beta"

What do you think that 173 and 177 were labeled when 177 came out? :-)

ma2412ma (ma2412ma) wrote :

Summing up, 173 and 177 don't work with Compiz, so there's no official way to enable the desktop effects on Intrepid if you own an Nvidia card. Now they have released a new driver which happens to be labeled as beta, but it fixes all major bugs that we're complaining about. Just add 180 to the driver list and leave 177 the recommended one. Once 180 goes final, recommend this release in the list. If possible, this should be done ASAP for the reasons mentioned above. Just my 2 cents.

> Summing up, 173 and 177 don't work with Compiz
What?

2008/11/26 ma2412ma <email address hidden>

> Summing up, 173 and 177 don't work with Compiz, so there's no official
> way to enable the desktop effects on Intrepid if you own an Nvidia card.
> Now they have released a new driver which happens to be labeled as beta,
> but it fixes all major bugs that we're complaining about. Just add 180
> to the driver list and leave 177 the recommended one. Once 180 goes
> final, recommend this release in the list. If possible, this should be
> done ASAP for the reasons mentioned above. Just my 2 cents.
>
> --
> Update Package: nVidia 180.06
> https://bugs.launchpad.net/bugs/297543
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>

Have you read this bug report? There are severe issues with Compiz (corrupt window decorations) and KDE4 with drivers 173/177 and 180 fixes all of them.

I know about this bug, I had it at my previous job (integrated GF 6100), and
I don't think it can be called "Compiz doesn't work".

2008/11/26 ma2412ma <email address hidden>

> Have you read this bug report? There are severe issues with Compiz
> (corrupt window decorations) and KDE4 with drivers 173/177 and 180 fixes
> all of them.
>
> --
> Update Package: nVidia 180.06
> https://bugs.launchpad.net/bugs/297543
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>

OK, it should be "the Window decorations are not rendered properly when using Compiz with Nvidia drivers 173 and 177". Anyway, any news about when 180 will be in Intrepid?

mattcasters (matt-casters) wrote :

I have to agree that providing 180.06 to Intrepid is crucial. If it was indeed the case that only KDE 4.2 is to be used Kubuntu should have sticked with KDE 3.5. As it is the case, my desktop is unusable as well because of the 173/177 window corruptions.

From http://forum.kde.org/showthread.php?tid=16805&pid=21177 :

"Symptons include: not being able to browse with Firefox 3.0.4 for more than 2 minutes without a (silent) crash, garbled icons in kwin, kwin itself completely freaking out with garbage all over the place, garbage in the back-drop of menu-items right before they appear, garbage in the ALT-F2 execute window, a screen full of garbage when you want to shut down or suspend your machine (except for a small readable window), VMWare player losing the border when the image keeps running, etc"

The only advice to fix it so far has been an update of the nvidia driver to 180.06. I would really like to avoid doing a manual install.

lspci | grep -i nvidia
01:00.0 VGA compatible controller: nVidia Corporation G72GL [Quadro FX 350M] (rev a1)

Just to let you know, "tips" that the 180.08 driver fixes a bunch of stuff
are leaking out and people are installing them over the Ubuntu driver...
which'll cause things to turn quite ugly when Ubuntu upgrades its driver and
you start getting all sorts of "module not found" errors and low
resolutions.

Alberto, could you update us about the current status of this bug? I think this is extremely important and 180 should be provided officially ASAP.

Alberto Milone (albertomilone) wrote :

SRU request:

TESTCASE:

increased hardware support, bugfixes and compatibility with the new driver 180:

nvidia-graphics-drivers-177:
  * Add driver 177.82 (LP: #297543):
    * Added support for the following new GPUs:
       o Quadro NVS 450
       o Quadro FX 370 LP
       o Quadro FX 5800
       o Quadro FX 4800
       o Quadro FX 470
       o Quadro CX
    * Fixed a problem on recent mobile GPUs that caused a power management resume from S3 to take 30+ seconds.
    * Fixed a problem with hotkey switching on some recent mobile GPUs.
    * Fixed an image corruption issue seen in FireFox 3.
  * Make it conflict with driver 180
  * Make it easier to add the support for new flavours in nvidia-glx-VER.preinst
  * Switch to DKMS patching system (in debian/rules) so as to have different
    patches for different kernel versions

nvidia-graphics-drivers-173, 96
  * Make it conflict with driver 180
  * Make it easier to add the support for new flavours in nvidia-glx-VER.preinst
  * Switch to DKMS patching system (in debian/rules) so as to have different
    patches for different kernel versions

Driver 180 will be uploaded to Jaunty (it's ready for the upload) and backported to Intrepid since 180.08 is not stable.

lunch (launch-mailinator-com) wrote :

What about 177.82 ?? Becuase in driver 177.80 .png images in Firefox come up as black until you refresh the page .. I think its vital that 177.82 be included as a normal update in Intrepid because of that Firefox image issue.

Also to enable backports I just go System > Admin > Software Sources > Updates yeah ?? or is it a PPA that I have to enable ??

Thanks Alberto.

Alberto Milone (albertomilone) wrote :

lunch: 177.82 will be uploaded to intrepid-proposed for testing and then to intrepid-updates.

Alberto Milone (albertomilone) wrote :

Driver 180.08 (nvidia-glx-180) has been uploaded to Jaunty. The same package works if you install it in Intrepid.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nvidia-graphics-drivers-177 - 177.82-0ubuntu1

---------------
nvidia-graphics-drivers-177 (177.82-0ubuntu1) jaunty; urgency=low

  * Add driver 177.82 (LP: #297543):
    * Added support for the following new GPUs:
       o Quadro NVS 450
       o Quadro FX 370 LP
       o Quadro FX 5800
       o Quadro FX 4800
       o Quadro FX 470
       o Quadro CX
    * Fixed a problem on recent mobile GPUs that caused a power management resume from S3 to take 30+ seconds.
    * Fixed a problem with hotkey switching on some recent mobile GPUs.
    * Fixed an image corruption issue seen in FireFox 3.
  * Make it conflict with driver 180
  * Make it easier to add the support for new flavours in nvidia-glx-VER.preinst
  * Switch to DKMS patching system (in debian/rules) so as to have different
    patches for different kernel versions

 -- Alberto Milone (tseliot) <email address hidden> Sun, 30 Nov 2008 18:23:09 +0100

Changed in nvidia-graphics-drivers-177:
status: In Progress → Fix Released
Changed in nvidia-graphics-drivers-173:
assignee: nobody → albertomilone
importance: Undecided → Medium
status: New → In Progress
Martin Pitt (pitti) on 2008-12-02
Changed in nvidia-graphics-drivers-173:
assignee: nobody → albertomilone
status: New → In Progress
Changed in nvidia-graphics-drivers-177:
assignee: nobody → albertomilone
status: New → In Progress
Changed in nvidia-graphics-drivers-180:
status: In Progress → Fix Released
Noel J. Bergman (noeljb) on 2008-12-03
description: updated
Changed in nvidia-graphics-drivers-173:
assignee: nobody → albertomilone
status: New → Fix Released
Changed in nvidia-graphics-drivers-96:
assignee: nobody → albertomilone
status: New → Fix Released
Martin Pitt (pitti) on 2008-12-07
Changed in nvidia-graphics-drivers-96:
status: New → Fix Committed
Changed in nvidia-graphics-drivers-173:
status: New → Fix Committed
Martin Pitt (pitti) on 2008-12-07
Changed in nvidia-graphics-drivers-177:
status: In Progress → Fix Committed
Changed in nvidia-graphics-drivers-177:
status: Fix Committed → Fix Released
Changed in nvidia-graphics-drivers-180:
status: In Progress → Fix Released
Changed in nvidia-graphics-drivers-96:
status: Fix Committed → Fix Released
43 comments hidden view all 123 comments

Why did you set it to "Fix Released"? The drivers are in intrepid-proposed,
not intrepid-updates.

Hew (hew) wrote :

lunch: Please don't change the status to Fix Released when this is not the case. Reverted status changes.

Changed in nvidia-graphics-drivers-177:
status: Fix Released → Fix Committed
Changed in nvidia-graphics-drivers-180:
status: Fix Released → In Progress
Changed in nvidia-graphics-drivers-96:
status: Fix Released → Fix Committed
Noel J. Bergman (noeljb) wrote :

I have opened Bug 306315 to track the problem reported by huiii and myself that once updated to 180.11 as enabled by the fix to this bug, resume is broken.

From looking at the nv forums, it seems that the suspend/resume issues with the current 180.xx drivers are quite widespread. Until there is a fix (from nv or a workaround from Ubuntu) it's impossible to get too excited about this!

Vadim Peretokin (vperetokin) wrote :

nvidia-graphics-drivers-177 in intrepid-proposed are working out fine so far
- run compiz, and graphics-intensive games (quake wars, savage 2) without a
hitch.

Matt (emaillists) wrote :

I got the 180 driver installed, but I had to upgrade to Jaunty alpha since I couldn't get the package to work on 8.10 (the installer failed, but it didn't give me an error message). 180 seems to have fixed (or at least significantly improved) the Firefox scrolling issue (I think it was this bug: https://bugs.launchpad.net/ubuntu/+source/firefox/+bug/125970). It crashed once with smooth scrolling on--the display became corrupted and parts the desktop and the Firefox window were rendered in the wrong place--but I don't really have time to see if the problem is repeatable, so I'll just leave smooth scrolling off for now.

I haven't tried standby yet, so I can't comment on that.

Andrew Davison (darkinnit) wrote :

I've tried the Nvidia 180 driver on Kubuntu 8.10. I no longer experience the video garbage bug (https://bugs.launchpad.net/ubuntu/+source/kubuntu-kde4-meta/+bug/254468) whether using Compiz or not. It's also cleared up a video artefact bug that caused severe rendering issues when Eclipse was open. So I'm very happy now. :-)

I also had random crashing problems with the Nvidia 177 driver, especially when using Compiz or any OpenGL based application, but as they are random, I will have to wait to see if they still occur.

I'm not too bothered about the suspend/resume issues, as I don't use suspend/resume on this machine. I'd rather have working graphics. :-)

I'm using a Gigabyte GA-M68SM-S2 motherboard, which has an onboard GeForce 7025

Many thanks to those who got this package out there!

180.16 seems to have been released, with many fixes and improved vdpau support.

Noel J. Bergman (noeljb) wrote :

Release announcement: http://www.nvnews.net/vbulletin/showthread.php?p=1873716

Do we want to update this bug, again, to cover the new release, or open another bug?

Jeff Wallace (tjwallace) wrote :

I just tried 180.16 and the suspend/resume problem still remains. I'm using
a D630, Ubuntu 8.10 32 bit, Nvidia NVS 135M.

Hew (hew) wrote :

Bug 307791 should be used for the 180.16 upgrade.

Noel J. Bergman (noeljb) wrote :

> Bug 307791 should be used for the 180.16 upgrade

Alberto is not subscribed there, and no one has touched the nvidia-glx-180 package since the original 180.11. So three code drops from nvidia (180,11,2, 180,16, 180.18) have gone without an update.

And on the suspend / resume front, that is the subject of Bug 306315. David Chen is asking for some testers.

Noel J. Bergman (noeljb) wrote :

> David Chen

Sorry ... no way to edit and correct my error ... *Daniel* Chen.

Thomas (t.c) wrote :

Version 180.18 is out...

http://www.nvnews.net/vbulletin/showthread.php?t=125134

i build packages and uploaded them to my ppa at

https://launchpad.net/~thomas-creutz/+archive

Mikael Nilsson (mini) wrote :

fre 2009-01-02 klockan 15:04 +0000 skrev Thomas C.:
> Version 180.18 is out...
>
> http://www.nvnews.net/vbulletin/showthread.php?t=125134
>
> i build packages and uploaded them to my ppa at
>
> https://launchpad.net/~thomas-creutz/+archive

Is there a difference between these and the ones here:

https://launchpad.net/~anders-kaseorg/+archive

?

--
<email address hidden>

Varning! E-post till och från Sverige, eller som passerar servrar i
Sverige, avlyssnas av Försvarets Radioanstalt, FRA.
WARNING! E-mail to and from Sweden, or via servers in Sweden, is
monitored by the National Defence Radio Establishment.

Thomas (t.c) wrote :

Mikael Nilsson schrieb:
> Is there a difference between these and the ones here:
>
> https://launchpad.net/~anders-kaseorg/+archive
>
> ?
>

Oh sorry.. i dont think so.. i have not found this package before :-/

Vadim Peretokin (vperetokin) wrote :

https://launchpad.net/~thomas-creutz/+archive has the package for 8.10 while
https://launchpad.net/~anders-kaseorg/+archive has it for the in-development
9.04

Thomas Creuz's ppa workes perfectly for me with a GeForce 6600 GT. No more title bar glitches
Thanks.

Alexey Borzenkov (snaury) wrote :

I just noticed that with new 180.18 drivers the generated modaliases file is bogus. This is because there are two very short consecutive objects now (before the objects with pciids) and nvidia_supported thinks it found it right. Attached is a debdiff that fixes the issue for now (by ensuring that there are necessary zeroes, i.e. that numbers are at least int32).

Builds for jaunty and intrepid should appear in my ppa (https://launchpad.net/~snaury/+archive) soon.

Mario Limonciello (superm1) wrote :

Re: the original SRU bug that this was for 177.82 (Before it got hijacked for the 180 series drivers)

I've got a variety of machines that have been using 177.82 from proposed since the day 177.82 was released. One of these machines was w/ a more modern GPU and affected directly by the 30+ second suspend bug. The bug is resolved by 177.82, and i've not seen any other regressions in using it.

Martin Pitt (pitti) wrote :

Lots of positive feedback about the updated 177.82, and no regression reports, so I consider this verified.

180 is new, so there is no regression potential, so this can go to -updates as well.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nvidia-graphics-drivers-177 - 177.82-0ubuntu0.1

---------------
nvidia-graphics-drivers-177 (177.82-0ubuntu0.1) intrepid-proposed; urgency=low

  * Add driver 177.82 (LP: #297543):
    * Added support for the following new GPUs:
       o Quadro NVS 450
       o Quadro FX 370 LP
       o Quadro FX 5800
       o Quadro FX 4800
       o Quadro FX 470
       o Quadro CX
    * Fixed a problem on recent mobile GPUs that caused a power management resume from S3 to take 30+ seconds.
    * Fixed a problem with hotkey switching on some recent mobile GPUs.
    * Fixed an image corruption issue seen in FireFox 3.
  * Make it conflict with driver 180
  * Make it easier to add the support for new flavours in nvidia-glx-VER.preinst
  * Switch to DKMS patching system (in debian/rules) so as to have different
    patches for different kernel versions
  * Add debian.binary/patches/NVIDIA-177.82_2.6.28.patch to ensure compatibility
    with 2.6.28 kernels (LP: #303107)

 -- Alberto Milone (tseliot) <email address hidden> Sun, 30 Nov 2008 18:23:09 +0100

Changed in nvidia-graphics-drivers-177:
status: Fix Committed → Fix Released
Martin Pitt (pitti) wrote :

I did a jaunty -> intrepid-updates backport of -180:
  https://launchpad.net/ubuntu/+source/nvidia-graphics-drivers-180/180.11-0ubuntu1~intrepid1

I'll NEW it tomorrow, when the package built.

Martin Pitt (pitti) wrote :

Did anyone test the updated -96 and -173 drivers?

Changed in intrepid-backports:
status: New → Fix Committed
Martin Pitt (pitti) wrote :

I NEWed -180 in intrepid-updates.

Changed in nvidia-graphics-drivers-180:
status: In Progress → Fix Released
Changed in intrepid-backports:
status: Fix Committed → Invalid
evgen (evgen-alice-dsl) wrote :

i hope there will be an official driver update after 177.82 for intrepid, there are broken tittle bars (with compiz), appeared after updating from 8.04 to 8.10; using GeForce 6200... this issue was not present in ubuntu hardy!

nvidia-glx-177 177.82-0ubuntu0.1

this update does not fix the issue, the tittle bars are still broken!

evgen (evgen-alice-dsl) wrote :

Martin, what repo do i need to give your nvidia package 180.11-0ubuntu1~intrepid1
 a try?

Martin Pitt (pitti) wrote :

Hello,

evgen [2009-01-08 9:52 -0000]:
> Martin, what repo do i need to give your nvidia package 180.11-0ubuntu1~intrepid1
> a try?

It's in intrepid-updates now, which is enabled by default.

nvidia-glx-180 | 180.11-0ubuntu1~intrepid1 | intrepid-updates/restricted | amd64, i386

evgen (evgen-alice-dsl) wrote :

Thank you Martin, it works nice and fixes the issue with title bars on my box with nvidia GeForce 6200 (and enabled compiz).

Noel J. Bergman (noeljb) wrote :

180.* upgrade request superseded by Bug 315169, which is for 180.22 (the first non-beta release in the 180 series). So that needs to be handled as 180.11 (nvidia beta) was handled.

Mario Limonciello (superm1) wrote :

Please keep any discussion of future upgrades to new bugs as this bug is solved. That 180.22 release has already been uploaded, but it's in the NEW queue.

Mario Limonciello
Dell | Linux Engineering
<email address hidden>

-----Original Message-----
From: <email address hidden> on behalf of Noel J. Bergman
Sent: Fri 1/9/2009 7:05 PM
To: <email address hidden>
Subject: [Bug 297543] Re: Update Package: nVidia 180.11

180.* upgrade request superseded by Bug 315169, which is for 180.22 (the
first non-beta release in the 180 series). So that needs to be handled
as 180.11 (nvidia beta) was handled.

--
Update Package: nVidia 180.11
https://bugs.launchpad.net/bugs/297543
You received this bug notification because you are a member of The Dell
Team, which is a subscriber of a duplicate bug.

Noel J. Bergman (noeljb) wrote :

> Please keep any discussion of future upgrades to new bugs as this bug is solved

Oh, gee, thanks for the lesson in netiquette. :-, If you re-read my post without a knee-jerk response, you will note that it is a reference to Bug 315169 -- you know, the new report for the new version -- for people who want to keep track of the 180 series, rather than see folks continue to re-purpose this report, which happened several times previously.

> 180.22 release has already been uploaded, but it's in the NEW queue.

Yes, I know. I'd already commented on that release in the "appropriate" bug reports. Still waiting for response. One of the points I raised was that it is STILL in the new queue. Nothing has come out of the NEW queue since 180.11.

Martin Pitt (pitti) wrote :

If nobody tests the updated -96 and -173 versions, I'll remove those from -proposed in a week.

Vadim Peretokin (vperetokin) wrote :

Both are working fine with Savage 2 (3d game, requires min opengl 2.0, effects heavy).

Martin Pitt (pitti) wrote :

Thanks, Vadim!

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nvidia-graphics-drivers-96 - 96.43.09-0ubuntu1.1

---------------
nvidia-graphics-drivers-96 (96.43.09-0ubuntu1.1) intrepid-proposed; urgency=low

  * Make it conflict with driver 180 (LP: #297543)
  * Make it easier to add the support for new flavours in nvidia-glx-VER.preinst
  * Switch to DKMS patching system (in debian/rules) so as to have different
    patches for different kernel versions

 -- Alberto Milone (tseliot) <email address hidden> Sat, 01 Nov 2008 16:47:04 +0100

Changed in nvidia-graphics-drivers-96:
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nvidia-graphics-drivers-173 - 173.14.12-1-0ubuntu5.1

---------------
nvidia-graphics-drivers-173 (173.14.12-1-0ubuntu5.1) intrepid-proposed; urgency=low

  * Make it conflict with driver 180 (LP: #297543)
  * Make it easier to add the support for new flavours in nvidia-glx-VER.preinst
  * Switch to DKMS patching system (in debian/rules) so as to have different
    patches for different kernel versions

 -- Alberto Milone (tseliot) <email address hidden> Sun, 30 Nov 2008 18:40:48 +0100

Changed in nvidia-graphics-drivers-173:
status: Fix Committed → Fix Released
warmrobot (imfrolov) wrote :

Hi!

GeForce 6600GT. The bug was exist in 177 version of driver, after update to 180 it's gone.

Displaying first 40 and last 40 comments. View all 123 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers